commit de3f6463cae75582eb13606443c25d8f02d41cbc
Author: Reid Linnemann <rlinnemann@netgate.com>
Date:   Fri Jul 29 00:23:38 2022 -0600

    Correct required param after optional param syntax errors

diff --git a/src/etc/inc/auth.inc b/src/etc/inc/auth.inc
index 1f9e12e0fe..5c1cf9ee7a 100644
--- a/src/etc/inc/auth.inc
+++ b/src/etc/inc/auth.inc
@@ -1162,7 +1162,7 @@ function ldap_test_bind($authcfg) {
 	return true;
 }
 
-function ldap_get_user_ous($show_complete_ou=true, $authcfg) {
+function ldap_get_user_ous($show_complete_ou, $authcfg) {
 	global $debug, $config, $g;
 
 	if (!function_exists("ldap_connect")) {
diff --git a/src/etc/inc/certs.inc b/src/etc/inc/certs.inc
index 8ee8159f8e..0b4aade0a4 100644
--- a/src/etc/inc/certs.inc
+++ b/src/etc/inc/certs.inc
@@ -469,7 +469,7 @@ function csr_generate(& $cert, $keylen, $dn, $type = "user", $digest_alg = "sha2
 	return true;
 }
 
-function csr_sign($csr, & $ca, $duration, $type = "user", $altnames, $digest_alg = "sha256") {
+function csr_sign($csr, & $ca, $duration, $type, $altnames, $digest_alg = "sha256") {
 	global $config;
 	$old_err_level = error_reporting(0);
 
diff --git a/src/etc/inc/config.lib.inc b/src/etc/inc/config.lib.inc
index 553f499ae0..8feac9ac95 100644
--- a/src/etc/inc/config.lib.inc
+++ b/src/etc/inc/config.lib.inc
@@ -243,7 +243,7 @@ function restore_backup($file) {
  * See https://redmine.pfsense.org/issues/8994,
  *     https://redmine.pfsense.org/issues/10508, 
  *     https://redmine.pfsense.org/issues/11050 */
-function clear_tagdata($tag = "rrd", $data) {
+function clear_tagdata($tag, $data) {
 	$data = preg_replace("/[[:blank:]]*<{$tag}data>.*<\\/{$tag}data>[[:blank:]]*\n*/s", "", $data);
 	$data = preg_replace("/[[:blank:]]*<{$tag}data\\/>[[:blank:]]*\n*/", "", $data);
 
diff --git a/src/etc/inc/interfaces.inc b/src/etc/inc/interfaces.inc
index d010b21c65..b78991aac3 100644
--- a/src/etc/inc/interfaces.inc
+++ b/src/etc/inc/interfaces.inc
@@ -1205,7 +1205,7 @@ function interface_gre_configure(&$gre, $grekey = "", $flush = true) {
 	return $greif;
 }
 
-function interface_is_type($if = NULL, $type) {
+function interface_is_type($if, $type) {
 	global $config;
 	switch ($type) {
 		case "gre":
@@ -4457,7 +4457,7 @@ function interface_configure($interface = "wan", $reloadall = false, $linkupeven
 	return 0;
 }
 
-function interface_track6_configure($interface = "lan", $wancfg, $linkupevent = false) {
+function interface_track6_configure($interface, $wancfg, $linkupevent = false) {
 	global $config, $g;
 
 	if (!is_array($wancfg)) {
@@ -4535,7 +4535,7 @@ function interface_track6_configure($interface = "lan", $wancfg, $linkupevent =
 	return 0;
 }
 
-function interface_track6_6rd_configure($interface = "lan", $lancfg) {
+function interface_track6_6rd_configure($interface, $lancfg) {
 	global $config, $g;
 	global $interface_ipv6_arr_cache;
 	global $interface_snv6_arr_cache;
@@ -4599,7 +4599,7 @@ function interface_track6_6rd_configure($interface = "lan", $lancfg) {
 	return 0;
 }
 
-function interface_track6_6to4_configure($interface = "lan", $lancfg) {
+function interface_track6_6to4_configure($interface, $lancfg) {
 	global $config, $g;
 	global $interface_ipv6_arr_cache;
 	global $interface_snv6_arr_cache;
@@ -4659,7 +4659,7 @@ function interface_track6_6to4_configure($interface = "lan", $lancfg) {
 	return 0;
 }
 
-function interface_6rd_configure($interface = "wan", $wancfg) {
+function interface_6rd_configure($interface, $wancfg) {
 	global $config, $g;
 
 	/* because this is a tunnel interface we can only function
@@ -4753,7 +4753,7 @@ function interface_6rd_configure($interface = "wan", $wancfg) {
 	return 0;
 }
 
-function interface_6to4_configure($interface = "wan", $wancfg) {
+function interface_6to4_configure($interface, $wancfg) {
 	global $config, $g;
 
 	/* because this is a tunnel interface we can only function
@@ -4866,7 +4866,7 @@ function interface_6to4_configure($interface = "wan", $wancfg) {
 	return 0;
 }
 
-function interface_dhcpv6_configure($ifconf = "wan", $ifcfg, $destroy = false) {
+function interface_dhcpv6_configure($ifconf, $ifcfg, $destroy = false) {
 	global $config, $g;
 
 	$dhcp6cconf = "";
@@ -5442,7 +5442,7 @@ function DHCP6_Config_File_Substitutions($wancfg, $wanif, $dhcp6cconf) {
 }
 
 
-function interface_dhcp_configure($interface = "wan") {
+function interface_dhcp_configure($interface) {
 	global $config, $g, $vlanprio_values;
 
 	$ifcfg = $config['interfaces'][$interface];
diff --git a/src/etc/inc/ipsec.inc b/src/etc/inc/ipsec.inc
index e0f8c1b619..705dd4c8ba 100644
--- a/src/etc/inc/ipsec.inc
+++ b/src/etc/inc/ipsec.inc
@@ -798,7 +798,7 @@ function ipsec_status() {
 	return $cmap;
 }
 
-function ipsec_status_button($req = 'post', $act = 'connect', $type = 'ike', $conid, $uniqueid = null, $full = true) {
+function ipsec_status_button($req, $act, $type, $conid, $uniqueid, $full) {
 	$btn = '<a href="';
 	if ($act == 'disconnect') {
 		$buttonclass = ($type == 'ike') ? 'danger' : 'warning';
@@ -873,7 +873,7 @@ function ipsec_initiate($type = 'ike', $p1 = null, $p2 = null) {
 	return ipsec_initiate_by_conid($type, ipsec_conid($p1, $p2));
 }
 
-function ipsec_initiate_by_conid($type = 'ike', $conid) {
+function ipsec_initiate_by_conid($type, $conid) {
 	if (empty($conid)) {
 		return false;
 	}
diff --git a/src/etc/inc/pfsense-utils.inc b/src/etc/inc/pfsense-utils.inc
index 4761a29808..b7a311c4c1 100644
--- a/src/etc/inc/pfsense-utils.inc
+++ b/src/etc/inc/pfsense-utils.inc
@@ -3550,7 +3550,7 @@ function &getarraybyref(&$array) {
  *   Sends the data to the browser as a file to download.
  ******/
 
-function send_user_download($type = 'data', $content, $userfilename = "", $contenttype = "application/octet-stream") {
+function send_user_download($type, $content, $userfilename = "", $contenttype = "application/octet-stream") {
 	/* If the type is 'file', then use the file size, otherwise use the size of the data to send */
 	$size = ($type == 'file') ? filesize($content) : strlen($content);
 
diff --git a/src/usr/local/www/xmlrpc.php b/src/usr/local/www/xmlrpc.php
index 79c244076e..ca9cf8dc18 100644
--- a/src/usr/local/www/xmlrpc.php
+++ b/src/usr/local/www/xmlrpc.php
@@ -128,7 +128,7 @@ class pfsense_xmlrpc_server {
 	 *
 	 * @return array
 	 */
-	public function host_firmware_version($dummy = 1, $timeout) {
+	public function host_firmware_version($dummy, $timeout) {
 		ini_set('default_socket_timeout', $timeout);
 		$this->auth();
 		return host_firmware_version();