commit 07130afe2b5dd906d9f9b39585c355a07af006f9
Author: ayvis <ayvis.infra@gmail.com>
Date:   Tue Mar 25 23:32:27 2014 +0100

    removed duplicate type=text/javascript
    added type for <script>

diff --git a/usr/local/www/diag_logs_filter_summary.php b/usr/local/www/diag_logs_filter_summary.php
index 037c3cfce3..46caf662f6 100644
--- a/usr/local/www/diag_logs_filter_summary.php
+++ b/usr/local/www/diag_logs_filter_summary.php
@@ -166,13 +166,13 @@ foreach ($filterlog as $fe) {
 include("head.inc"); ?>
 <body link="#000000" vlink="#000000" alink="#000000">
 <script src="/javascript/filter_log.js" type="text/javascript"></script>
-<script type="text/javascript" type="text/javascript" src="/protochart/prototype.js"></script>
-<script type="text/javascript" type="text/javascript" src="/protochart/ProtoChart.js"></script>
+<script type="text/javascript" src="/protochart/prototype.js"></script>
+<script type="text/javascript" src="/protochart/ProtoChart.js"></script>
 <!--[if IE]>
-<script type="text/javascript" type="text/javascript" src="/protochart/excanvas.js">
+<script type="text/javascript" src="/protochart/excanvas.js">
 </script>
 <![endif]-->
-<script type="text/javascript" type="text/javascript">
+<script type="text/javascript">
 //<![CDATA[
 	function lblfmt(lbl) {
 		return '<font size=\"-2\">' + lbl + '<\/font>'
diff --git a/usr/local/www/firewall_nat.php b/usr/local/www/firewall_nat.php
index 98188d369f..b20e5d0561 100644
--- a/usr/local/www/firewall_nat.php
+++ b/usr/local/www/firewall_nat.php
@@ -177,7 +177,7 @@ echo "<script type=\"text/javascript\" src=\"/javascript/domTT/fadomatic.js\"></
 <body link="#000000" vlink="#000000" alink="#000000">
 <?php include("fbegin.inc"); ?>
 <form action="firewall_nat.php" method="post" name="iform">
-<script type="text/javascript" type="text/javascript" src="/javascript/row_toggle.js"></script>
+<script type="text/javascript" src="/javascript/row_toggle.js"></script>
 <?php if ($savemsg) print_info_box($savemsg); ?>
 <?php if (is_subsystem_dirty('natconf')): ?>
 <?php print_info_box_np(gettext("The NAT configuration has been changed") . ".<br />" . gettext("You must apply the changes in order for them to take effect."));?><br />
diff --git a/usr/local/www/firewall_nat_1to1.php b/usr/local/www/firewall_nat_1to1.php
index 581c48d89f..1f76b4242b 100644
--- a/usr/local/www/firewall_nat_1to1.php
+++ b/usr/local/www/firewall_nat_1to1.php
@@ -150,7 +150,7 @@ include("head.inc");
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
 <form action="firewall_nat_1to1.php" method="post">
-<script type="text/javascript" type="text/javascript" src="/javascript/row_toggle.js"></script>
+<script type="text/javascript" src="/javascript/row_toggle.js"></script>
 <?php
 if ($savemsg)
 	print_info_box($savemsg);
diff --git a/usr/local/www/firewall_nat_out.php b/usr/local/www/firewall_nat_out.php
index e0cd1ad610..2335cff3f3 100644
--- a/usr/local/www/firewall_nat_out.php
+++ b/usr/local/www/firewall_nat_out.php
@@ -213,7 +213,7 @@ include("head.inc");
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
 <form action="firewall_nat_out.php" method="post" name="iform">
-<script type="text/javascript" type="text/javascript" src="/javascript/row_toggle.js"></script>
+<script type="text/javascript" src="/javascript/row_toggle.js"></script>
 <?php
 if ($savemsg)
 	print_info_box($savemsg);
diff --git a/usr/local/www/firewall_rules.php b/usr/local/www/firewall_rules.php
index 795a5acaae..0c63a3139f 100644
--- a/usr/local/www/firewall_rules.php
+++ b/usr/local/www/firewall_rules.php
@@ -301,7 +301,7 @@ include("head.inc");
 <?php include("fbegin.inc"); ?>
 <form action="firewall_rules.php" method="post">
 
-<script type="text/javascript" type="text/javascript" src="/javascript/row_toggle.js"></script>
+<script type="text/javascript" src="/javascript/row_toggle.js"></script>
 <?php if ($savemsg) print_info_box($savemsg); ?>
 <?php if (is_subsystem_dirty('filter')): ?><p>
 <?php
diff --git a/usr/local/www/index.php b/usr/local/www/index.php
index b473828ac0..36c0639d43 100644
--- a/usr/local/www/index.php
+++ b/usr/local/www/index.php
@@ -667,7 +667,7 @@ pfSense_handle_custom_code("/usr/local/pkg/dashboard/pre_dashboard");
 					<?php
 				}
 				else { ?>
-					<script type="text/javascript" type="text/javascript">
+					<script type="text/javascript">
 					var colpos = "<?=$colpos[$widgetcounter]?>";
 					createColumn(colpos);					
 					</script>
diff --git a/usr/local/www/pkg_mgr.php b/usr/local/www/pkg_mgr.php
index 96c26feb92..73dd91757a 100644
--- a/usr/local/www/pkg_mgr.php
+++ b/usr/local/www/pkg_mgr.php
@@ -109,7 +109,7 @@ include("head.inc");
 <script type="text/javascript" src="javascript/domTT/domTT.js"></script>
 <script type="text/javascript" src="javascript/domTT/behaviour.js"></script>
 <script type="text/javascript" src="javascript/domTT/fadomatic.js"></script>
-<script type="text/javascript" type="text/javascript" src="/javascript/row_helper_dynamic.js"></script>
+<script type="text/javascript" src="/javascript/row_helper_dynamic.js"></script>
 </head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
diff --git a/usr/local/www/pkg_mgr_installed.php b/usr/local/www/pkg_mgr_installed.php
index 216dfd21b4..01f3089d33 100644
--- a/usr/local/www/pkg_mgr_installed.php
+++ b/usr/local/www/pkg_mgr_installed.php
@@ -85,7 +85,7 @@ include("head.inc");
 <script type="text/javascript" src="javascript/domTT/domTT.js"></script>
 <script type="text/javascript" src="javascript/domTT/behaviour.js"></script>
 <script type="text/javascript" src="javascript/domTT/fadomatic.js"></script>
-<script type="text/javascript" type="text/javascript" src="/javascript/row_helper_dynamic.js"></script>
+<script type="text/javascript" src="/javascript/row_helper_dynamic.js"></script>
 </head>
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
diff --git a/usr/local/www/status_graph.php b/usr/local/www/status_graph.php
index 42b918554c..9ef7144366 100644
--- a/usr/local/www/status_graph.php
+++ b/usr/local/www/status_graph.php
@@ -116,7 +116,7 @@ include("head.inc");
 
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 
-<script type="text/javascript" type="text/javascript">
+<script type="text/javascript">
 
 function updateBandwidth(){
     var hostinterface = jQuery("#if").val();
diff --git a/usr/local/www/system_gateways.php b/usr/local/www/system_gateways.php
index 3aa2c687b7..58de700015 100644
--- a/usr/local/www/system_gateways.php
+++ b/usr/local/www/system_gateways.php
@@ -189,7 +189,7 @@ include("head.inc");
 <?php include("fbegin.inc"); ?>
 <?php if ($input_errors) print_input_errors($input_errors); ?>
 <form action="system_gateways.php" method="post">
-<script type="text/javascript" type="text/javascript" src="/javascript/row_toggle.js"></script>
+<script type="text/javascript" src="/javascript/row_toggle.js"></script>
 <?php if ($savemsg) print_info_box($savemsg); ?>
 <?php if (is_subsystem_dirty('staticroutes')): ?><p>
 <?php print_info_box_np(gettext("The gateway configuration has been changed.") . "<br />" . gettext("You must apply the changes in order for them to take effect."));?><br /></p>
diff --git a/usr/local/www/system_routes.php b/usr/local/www/system_routes.php
index c3503ddf88..f500468bd8 100644
--- a/usr/local/www/system_routes.php
+++ b/usr/local/www/system_routes.php
@@ -204,7 +204,7 @@ include("head.inc");
 <body link="#0000CC" vlink="#0000CC" alink="#0000CC">
 <?php include("fbegin.inc"); ?>
 <form action="system_routes.php" method="post">
-<script type="text/javascript" type="text/javascript" src="/javascript/row_toggle.js"></script>
+<script type="text/javascript" src="/javascript/row_toggle.js"></script>
 <?php if ($savemsg) print_info_box($savemsg); ?>
 <?php if (is_subsystem_dirty('staticroutes')): ?><p>
 <?php print_info_box_np(sprintf(gettext("The static route configuration has been changed.%sYou must apply the changes in order for them to take effect."), "<br />"));?><br /></p>
diff --git a/usr/local/www/system_usermanager.php b/usr/local/www/system_usermanager.php
index 1dc1e05b38..4961a159ee 100644
--- a/usr/local/www/system_usermanager.php
+++ b/usr/local/www/system_usermanager.php
@@ -352,7 +352,7 @@ include("head.inc");
 <link rel="stylesheet" type="text/css" href="/javascript/jquery-ui-timepicker-addon/css/jquery-ui-timepicker-addon.css" />
 <link rel="stylesheet" type="text/css" href="/javascript/jquery/jquery-ui.custom.css" />
 
-<script>
+<script type="text/javascript">
 	jQuery(function() {
 		jQuery( "#expires" ).datepicker( { dateFormat: 'mm/dd/yy', changeYear: true, yearRange: "+0:+100" } );
 	});
diff --git a/usr/local/www/widgets/widgets/deactivated/cpu_graphs.widget.php b/usr/local/www/widgets/widgets/deactivated/cpu_graphs.widget.php
index 32c850c8c6..1c97ecaad4 100644
--- a/usr/local/www/widgets/widgets/deactivated/cpu_graphs.widget.php
+++ b/usr/local/www/widgets/widgets/deactivated/cpu_graphs.widget.php
@@ -58,7 +58,7 @@ require_once("functions.inc");
     last_val_span = new Array();
 </script>
 <div style='display: block; margin-left: auto; margin-right: auto' class="GraphLink" id="GraphOutput"></div>
-<script type="text/javascript" type="text/javascript">
+<script type="text/javascript">
 
     // Graph 1
     graph[0]         = GraphInitialize('GraphOutput', 200, 50, 4);
diff --git a/usr/local/www/widgets/widgets/ntp_status.widget.php b/usr/local/www/widgets/widgets/ntp_status.widget.php
index e05c2ccc1b..d1103e0a67 100644
--- a/usr/local/www/widgets/widgets/ntp_status.widget.php
+++ b/usr/local/www/widgets/widgets/ntp_status.widget.php
@@ -444,9 +444,6 @@ function clockUpdate()
 
 /*** End of Clock ***/
 //-->
-</script>
-
-<script>
   window.onload=clockInit(clockLocalStartTime, clockServerStartTime);clockOnLoad();
   window.onunload=clockOnUnload()
   clockUpdate();
diff --git a/usr/local/www/widgets/widgets/system_information.widget.php b/usr/local/www/widgets/widgets/system_information.widget.php
index 5f0a011140..cf1ebe8cff 100644
--- a/usr/local/www/widgets/widgets/system_information.widget.php
+++ b/usr/local/www/widgets/widgets/system_information.widget.php
@@ -85,7 +85,7 @@ if($_REQUEST['getupdatestatus']) {
 $curcfg = $config['system']['firmware'];
 
 ?>
-<script>
+<script type="text/javascript">
 	jQuery(function() { 
 		jQuery("#statePB").progressbar( { value: <?php echo get_pfstate(true); ?> } );
 		jQuery("#mbufPB").progressbar( { value: <?php echo get_mbuf(true); ?> } );
diff --git a/usr/local/www/widgets/widgets/thermal_sensors.widget.php b/usr/local/www/widgets/widgets/thermal_sensors.widget.php
index 1c1fd44666..a65eee2ab3 100644
--- a/usr/local/www/widgets/widgets/thermal_sensors.widget.php
+++ b/usr/local/www/widgets/widgets/thermal_sensors.widget.php
@@ -271,7 +271,7 @@ function getBoolValueFromConfig(&$configArray, $valueKey, $defaultValue) {
 </div>
 
 <!-- needed to display the widget settings menu -->
-<script type="text/javascript" type="text/javascript">
+<script type="text/javascript">
 
 	textlink = jQuery("#thermal_sensors-configure");
 	textlink.css({display: "inline"});
diff --git a/usr/local/www/widgets/widgets/traffic_graphs.widget.php b/usr/local/www/widgets/widgets/traffic_graphs.widget.php
index b52f6b2374..28486ac490 100644
--- a/usr/local/www/widgets/widgets/traffic_graphs.widget.php
+++ b/usr/local/www/widgets/widgets/traffic_graphs.widget.php
@@ -135,7 +135,7 @@ if (isset($a_config["scale_type"])) {
 </form>
 </div>
 
-<script type="text/javascript" type="text/javascript">
+<script type="text/javascript">
 	d = document;
 	selectIntLink = "traffic_graphs-configure";
 	textlink = d.getElementById(selectIntLink);