commit 45777c10d1088b6ad69863657eb0dcc34a9df61e
Author: GChuf <gasper.cefarin@gmail.com>
Date:   Sat Oct 12 22:22:11 2024 +0200

    Remove deprecated pragma header. Implement #15781
    
    This removes adding pragma header which is now deprecated. Cache control is used instead.

diff --git a/src/etc/inc/pfsense-utils.inc b/src/etc/inc/pfsense-utils.inc
index a58843e25f..ba0113b737 100644
--- a/src/etc/inc/pfsense-utils.inc
+++ b/src/etc/inc/pfsense-utils.inc
@@ -3642,10 +3642,8 @@ function send_user_download($type, $content, $userfilename = "", $contenttype =
 
 	/* Send cache headers */
 	if (isset($_SERVER['HTTPS'])) {
-		header('Pragma: ');
 		header('Cache-Control: ');
 	} else {
-		header("Pragma: private");
 		header("Cache-Control: private, must-revalidate");
 	}
 
diff --git a/src/usr/local/captiveportal/index.php b/src/usr/local/captiveportal/index.php
index 134883d706..12fccc33fe 100644
--- a/src/usr/local/captiveportal/index.php
+++ b/src/usr/local/captiveportal/index.php
@@ -32,7 +32,6 @@ require_once("captiveportal.inc");
 
 header("Expires: 0");
 header("Cache-Control: no-cache, no-store, must-revalidate");
-header("Pragma: no-cache");
 header("Connection: close");
 
 global $cpzone, $cpzoneid, $cpzoneprefix;
diff --git a/src/usr/local/www/getqueuestats.php b/src/usr/local/www/getqueuestats.php
index d420f7f434..1a78a8a53f 100644
--- a/src/usr/local/www/getqueuestats.php
+++ b/src/usr/local/www/getqueuestats.php
@@ -28,8 +28,7 @@
 
 header("Last-Modified: " . gmdate("D, j M Y H:i:s") . " GMT");
 header("Expires: " . gmdate("D, j M Y H:i:s", time()) . " GMT");
-header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP/1.1
-header("Pragma: no-cache"); // HTTP/1.0
+header("Cache-Control: no-cache, no-store, must-revalidate");
 
 require_once("auth_check.inc");
 include_once("shaper.inc");
diff --git a/src/usr/local/www/getstats.php b/src/usr/local/www/getstats.php
index 1d8d534550..fa445b24fc 100644
--- a/src/usr/local/www/getstats.php
+++ b/src/usr/local/www/getstats.php
@@ -31,8 +31,7 @@
 
 header("Last-Modified: " . gmdate("D, j M Y H:i:s") . " GMT");
 header("Expires: " . gmdate("D, j M Y H:i:s", time()) . " GMT");
-header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP/1.1
-header("Pragma: no-cache"); // HTTP/1.0
+header("Cache-Control: no-cache, no-store, must-revalidate");
 
 require_once("auth_check.inc");
 include_once("includes/functions.inc.php");
diff --git a/src/usr/local/www/graph.php b/src/usr/local/www/graph.php
index de5eac4cb6..1e6a994180 100644
--- a/src/usr/local/www/graph.php
+++ b/src/usr/local/www/graph.php
@@ -39,8 +39,7 @@ require_once("guiconfig.inc");
 
 header("Last-Modified: " . gmdate("D, j M Y H:i:s") . " GMT");
 header("Expires: " . gmdate("D, j M Y H:i:s", time()) . " GMT");
-header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP/1.1
-header("Pragma: no-cache"); // HTTP/1.0
+header("Cache-Control: no-cache, no-store, must-revalidate");
 header("Content-type: image/svg+xml");
 
 /********** HTTP REQUEST Based Conf ***********/
diff --git a/src/usr/local/www/graph_cpu.php b/src/usr/local/www/graph_cpu.php
index 939f48bc76..39c70228bc 100644
--- a/src/usr/local/www/graph_cpu.php
+++ b/src/usr/local/www/graph_cpu.php
@@ -39,8 +39,7 @@ require_once("guiconfig.inc");
 
 header("Last-Modified: " . gmdate("D, j M Y H:i:s") . " GMT");
 header("Expires: " . gmdate("D, j M Y H:i:s", time()) . " GMT");
-header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP/1.1
-header("Pragma: no-cache"); // HTTP/1.0
+header("Cache-Control: no-cache, no-store, must-revalidate");
 header("Content-type: image/svg+xml");
 
 /********* Other conf *******/
diff --git a/src/usr/local/www/guiconfig.inc b/src/usr/local/www/guiconfig.inc
index 3f3931d5d6..6128e2d674 100644
--- a/src/usr/local/www/guiconfig.inc
+++ b/src/usr/local/www/guiconfig.inc
@@ -56,7 +56,6 @@ if (!$omit_nocacheheaders) {
 	header("Expires: 0");
 	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
 	header("Cache-Control: no-cache, no-store, must-revalidate");
-	header("Pragma: no-cache");
 }
 
 require_once("authgui.inc");
diff --git a/src/usr/local/www/status_queues.php b/src/usr/local/www/status_queues.php
index c2a63ced96..1c399c84fe 100644
--- a/src/usr/local/www/status_queues.php
+++ b/src/usr/local/www/status_queues.php
@@ -30,8 +30,7 @@
 /*
 header("Last-Modified: " . gmdate("D, j M Y H:i:s") . " GMT");
 header("Expires: " . gmdate("D, j M Y H:i:s", time()) . " GMT");
-header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP/1.1
-header("Pragma: no-cache"); // HTTP/1.0
+header("Cache-Control: no-cache, no-store, must-revalidate");
 */
 
 require_once("guiconfig.inc");